Skip to main content
GET
[Invoices] Get invoice details

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Unique identifier of the invoice

organization_id
string
required

Unique identifier of the organization

Response

Complete invoice details

id
string<uuid>
required
read-only
legacy_id
integer
required
read-only
invoice_number
string
required
read-only

Ex: INV-2025-00001

issue_date
string<date>
required

Issue date

due_date
string<date>
required

Due date

subtotal
string
required
read-only

Sous-total HT

Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
tax_amount
string
required
read-only

Montant TVA

Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
total
string
required
read-only

Total TTC

Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
tax_rate
string
required
read-only

Taux TVA appliqué en %

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
tax_country
string
required
read-only

Pays pour la TVA

is_reverse_charge
boolean
required
read-only

Auto-liquidation B2B UE

status
enum<string>
required
read-only
  • draft - Draft
  • pending - Pending Payment
  • paid - Paid
  • partially_paid - Partially Paid
  • overdue - Overdue
  • collections - In Collections
  • cancelled - Cancelled
  • refunded - Refunded
Available options:
draft,
pending,
paid,
partially_paid,
overdue,
collections,
cancelled,
refunded
paid_at
string<date-time> | null
required
read-only
amount_paid
string
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
refunded_at
string<date-time> | null
required
read-only
cancelled_at
string<date-time> | null
required
read-only
credit
string
required
read-only

Credit/balance applied to this invoice

Pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
pdf_file
string<uri> | null
required
read-only
items
object[]
required
read-only
payments
object[]
required
read-only
balance_transactions
object[]
required
read-only
promo_code_usages
object[]
required
read-only
orders
object[]
required
read-only
billing_info
object
required
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
currency
string
Maximum string length: 3
notes
string